\section{Some sample usage and best practices}\label{sec:example}
This section shows some sample usage and explains best practices we have agreed upon. This tex file can therefore easily serve as a stating point or reference for your work.
%
\subsection{Structuring your document}
Here you add your own document, using the normal \LaTeX{} document ``article''-class structure
(\verb|\section{}| is the highest level). 
Please ensure that you make use of the full width of the page and that the text is structured in a way to improve the readability. 

Too many indents or the excessive use of the itemize environment distract from the content.
When structuring your document make sure that you don't have to many

indents on your page and that you make use of the full width of the page, this makes reading rather easier, as you can hopefully see here. 

Indents are useful when a new line of thought appears in the text, so usually not more often than every 5 to 10 lines.  If you have single line of text use \verb|\\| to include a linebreak. If you want your tex code to be more readable use \verb|%| to comment out lines. 
The command \verb|\noindent| can also be very useful. 
\\


The standard itemize or enumerate environment should not be used for long lists or for lists where the items span more than 3 lines, anything longer is better served with another environment.
In the omi-latex-template/omi-macros.tex also alternative itemize environments are defined, where the indent is smaller or removed. There are the environments
wideitemize, noindentitemize, wideenumerate, stepenumerate, noindentstepenumerate and noindentenumerate, see also Section~\ref{sec:lists}.

\subsubsection{The requirement environment}
\begin{Requirement}{REQ-ABCD-0000}
 A Requirement environment is available for the header of a requirement. The argument of the \verb|\begin| of this environment includes the requirement identification.\label{req:demo}\idx{REQ-ABCD-0000}
\end{Requirement}

The body of the requirement is just normal text. The requirement can be labeled, and refered to: \ref{req:demo}. Note that this creates a hyperlink in the pdf file.
With \verb|\idx{req:demo}| you can add it to the index, there then also a hyperlink is created.


\paragraph{The note environment}

\begin{note}
 A note can be used to add a note, clarification or rationale to a requirement. This is a standard \LaTeX{} feature, I'm not going to mess with it (the bold label might be undesirable).
\end{note}

\paragraph*{If you don't want a number}
For bits of text where you'd like to have some bold text but no numbering, you can use  \verb|\paragraph*{title}|. It has the advantage that it has no indent as the itemize environment has and it gives the right spacing before and after. This environment does not appear in the table of contents.

\subsubsection{Lists}\label{sec:lists}
Lists should really be only be used for listings, so at most 2--3 lines of text per item.
%
The special lists defined in the macros.tex files are: 
\begin{wideitemize}
\item Wideitemize has only an indent for the very first line of the item, the next line is not indented at all. Also try to be conisistent with your lists: they are either part of a sentence or they are full sentences.
\item Second bullet. 
\itemh{Bold titles} for your item you can create with \verb|\itemh| for lists.
\end{wideitemize}

\begin{noindentitemize}
\item Noindentitemize has no indent at all for the items, only the bullet.   
\item Second bullet. 
\end{noindentitemize}

\begin{wideenumerate}
\item Wideenumerate has only an indent for the very first line of the item, the next line is not indented at all. The bullets are numbers
\item Second bullet.
\itemhn{Bold titles} for your item you can create with \verb|\itemhn| for numbered lists.
\end{wideenumerate}

\begin{noindentenumerate}
\item Noindenenumerate has no indent at all for the items, only the number.   
\item Second bullet. 
\end{noindentenumerate}

\begin{stepenumerate}
\item Stepenumerate is very useful if you want to describe the different steps of an analysis.
\itemhn{Bold titles} for your step you can alos create with \verb|\itemhn|.
\end{stepenumerate}

\begin{noindentstepenumerate}
\item With noindentstepenumerate you can also have steps without the indent.
\item Another bullet.
\end{noindentstepenumerate}
%
And these are the standard latex lists:
\begin{itemize}
 \item Itemize produces bullets (standard)
 \item They have a large spacing.
 \begin{itemize}
  \item Sub-bullets are possible.
 \end{itemize}
\end{itemize}
\begin{itemize*}
 \item Itemize* should have a smaller spacing.
 \item Really for a longer list of short items.
 \item Of course the same works for numbered lists as well.
\begin{enumerate*}
 \item Enumerate* works even also with sublists.
\begin{enumerate*}
 \item enumerate* works also as a sub-sub-lists.
\end{enumerate*}
\end{enumerate*}
\end{itemize*}
Please use subbullets only if you have really short points to make. 



\subsection{Examples for formulas}
The amsmath package allows you to align equations with ease:
\begin{align}
  R(A_{\text{s}}, \mu, \mu_0, \phi-\phi_0) &= R(A_{\text{s}}=0, \mu, \mu_0, \phi-\phi_0) + \frac{A_{\text{s}}t(\mu)t(\mu_0)}{1-A_{\text{s}}s^*}
 \label{eq:Chandrasekhar_surface_albedo}\\
  t(\mu) &= e^{-b/\mu} + t_{\text{diff}}(\mu)
\end{align}
%
 with $t_{\text{diff}}$ the diffuse component
\begin{equation}
  t_{\text{diff}} = 2\int_0^1\mu'\,\mathrm{d}\mu'T(\mu, \mu')
\end{equation}
% Note: ($T(\mu, \mu')$ is in v. d. Hulst aangegeven met ``UT'').
With
\begin{equation}
\left\{
\begin{aligned}
R_0 &= R(A_{\text{s}} = 0, \mu, \mu_0, \phi-\phi_0)\\
R_{1/2} &= R(A_{\text{s}} = 1/2, \mu, \mu_0, \phi-\phi_0)\\
R_1 &= R(A_{\text{s}} = 1, \mu, \mu_0, \phi-\phi_0)
\end{aligned}
\right.
\end{equation}
we can find $s^*$ and $t^2$:
\begin{align}
  s^* &= \frac{1 + 2\frac{R_0-R_{1/2}}{R_1-R_0}}{1+\frac{R_0-R_{1/2}}{R_1-R_0}}\\
  t^2 &= \left(1 - \frac{1+2\frac{R_0-R_{1/2}}{R_1-R_0}}{1+\frac{R_0-R_{1/2}}{R_1-R_0}}\right)\left(R_1-R_0\right)
\end{align}
%
From these a table can be made of $t(\mu)$ and $s^*(\mu)$, which when combined with $R(A_{\text{s}}=0, \mu, \mu_0, \phi-\phi_0)$ is sufficient to compute $R(A_{\text{s}}, \mu, \mu_0, \phi-\phi_0)$ using equation~\ref{eq:Chandrasekhar_surface_albedo}.
And of course we can put $\gamma \rho \epsilon \epsilon \kappa$ maths in-line.\\

\subsection{Fonts}

The \verb|\verb| environment and the typewriter font should be used sparingly as they mess
up the linebreaks in \LaTeX{}. 
Italics in normal text mode are only used to emphasize, bold lettertype is used for structuring the text, for example for headers in the itemize environments. 
When working in mathmode, note that some letters for example if used as an abbreviation are written in an upright font, this is achieved by using \verb|\mr{}| . An example would be $S_{\mr{CCD}}$, the 'S' is in mathmode as it is a variable and 'CCD' is an abbreviation and therefore in roman font.\\
In combination with units $\mu$  needs to be upright, this is done with \verb|\micro| or \verb|\textmu|:  \micro V, \textmu m and so on.
Only \verb|\micro| works in formulas: $2 \micro \text{m} +3 \micro \text{m} = 5\micro \text{m}$. Please note that units in formulas should be written as text: \verb|$5\micro \text{m}$|

\subsection{Figures}

Figures are included with \verb|\includegraphics|. The optional argument specifies the dimensions of the figure. The most important -- or at least the option I use most frequently is the \verb|width| parameter. Other options can be found in this guide:~\url{ftp://ftp.dante.de/tex-archive/help/Catalogue/entries/grfguide.html}. The main (non-optional) argument is the file name of the graphic file you want to include. Table~\ref{tbl:figure-formats} lists the figure types that are supported by pdf\LaTeX{}. Note that \texttt{.eps} is \emph{not} on this list, eps figure scan be converted to pdf with the epstopdf tool. Figures~\ref{fig:Texniccenter} and \ref{fig:Texniccenter} are an example where two figures with separate captions are put next to each other using the minipage environment.

\begin{table}[hbtp]
\centering
 \begin{tabular*}{1\textwidth}{@{\extracolsep{\fill}}llll}
  \textbf{Format} & \textbf{Type} & \textbf{Extension} & \textbf{Use} \\ \hline
  portable network graphics & bitmap (lossless) & \texttt{.png} & figures\\
  joint photographers expert group & bitmap (lossy) & \texttt{.jpg}  & photography \\
  portable document format & vector & \texttt{.pdf} & line-art, figures \\ \hline
 \end{tabular*}
 \caption[File formats for figures]{File formats for figures.}
 \label{tbl:figure-formats}
\end{table}

\subsection{Tables}

Examples of tables are shown in this document. It is most pleasing to the eye, if the table fills the whole page width, this can be done using\verb|{@{\extracolsep{\fill}}| as demonstrated in the .tex-file of this document. For very wide tables the package \verb|\sidewaystable| allows for the rotation of a table. For very long tables the package \verb|\longtable| is included. For detailed instructions please consult the ctan repository (\url{http://www.ctan.org/}).\\

\begin{table}[ht]
\centering
\begin{tabular*}{1\textwidth}{@{\extracolsep{\fill}} c c c c c} \hline
\textbf{Measurement}& \textbf{ Filling factor} &\textbf{Number of measurements} &  \textbf{Accuracy} & \textbf{Part of regular block} \\ \hline
Dark current & ? &\redtext{x} & 2 $\sigma$ & ? \\ 
WLS & ? & X & 2 $\sigma$ & ? \\ 
DLED & ? &X& 2 $\sigma$ & ? \\ 
Register & ? &X & 2 $\sigma$ & ? \\ \hline
\end{tabular*}
\caption[Example for a table.]{An example of a table which fills the whole page width. }
\end{table}

\subsection{Macros as defined in project-latex-macros}
In the file tropomi-macros.tex, located in the trunk in project-latex-macros, several commands and abbreviations for \LaTeX{} are defined. Feel free to add your own, but do not remove or redefine existing ones. For example \verb|\redtext| produces \redtext{red text in brackets}. The command \verb|\marker| will \marker{highlight in yellow}. With \verb|\remark| a numbered, red margin note  is produced. \remark{This comes in handy when there are open issues or comments to the document.}

\begin{table}[h]
\centering
\begin{tabular*}{1\textwidth}{@{\extracolsep{\fill}} lp{0.6\textwidth}} \hline
\textbf{Command}& \textbf{ Text} \\ \hline
\verb|\trop| & \trop \\
\verb|\omi|  & \omi \\
\verb|\meas| & \meas\\
\verb|\meass|& \meass\\
\verb|\ocal| or \verb|\OCAL| &\ocal\\
\verb|\ical| or \verb|\ICAL|  & \ical\\
\verb|\emin| & \emin  \\
\verb|\proc| & \proc\\ 
\hline
\end{tabular*}
\caption[Table of macros.]{Abbreviations as defined in omi-macros.tex. All these abbreviations are defined such that a space is added if there is another word following and non if its punctuation. }
\end{table}



\subsection{Other useful texcommands}

In Table~\ref{tab:texcommands} some often used commands are shown. They are available via the packages which are loaded in the omi-class.

\begin{table}
\begin{tabular*}{1\textwidth}{@{\extracolsep{\fill}} lp{0.6\textwidth}} \hline
\centering
\textbf{Command}& \textbf{ Text} \\ \hline
\verb|\celsius| & \celsius{} as in 20\celsius.  \\
\verb|\degree|  & Works both in text and math mode 20\degree C, add \verb|\,| afterward for angles: 90\degree\,angle. \\
\verb|\textdegree|  & For text mode: 20\textdegree C. Again, add a space: \verb|90\degree\,| 90\degree\,angle \\
%\verb|\ensuremath{^\circ}| & If you think the degree symbol is too small:20\ensuremath{^\circ}C \\
\verb|\micro| or \verb|\textmu| & Used for units as in  \micro A or \textmu V. \verb|\micro| works in both text and math mode.\\
\verb|\perthousand|& \perthousand , both in text and math mode\\
\hline
\end{tabular*}
\caption[Table of latex commands.]{Some useful tex commands which are needed often. }\label{tab:texcommands}
\end{table}

